DummyAdminServer (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server.admin

## Class DummyAdminServer

- java.lang.Object
- - org.apache.zookeeper.server.admin.DummyAdminServer

- All Implemented Interfaces:
    AdminServer

      public class DummyAdminServer
      extends Object
      implements AdminServer

  An AdminServer that does nothing. We use this class when we wish to disable the AdminServer. (This way we only have to consider whether the server is enabled when we create the AdminServer, which is handled by AdminServerFactory.)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.zookeeper.server.admin.AdminServer

      `AdminServer.AdminServerException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyAdminServer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setZooKeeperServer(ZooKeeperServer zkServer)`
    `void` | `shutdown()`
    `void` | `start()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DummyAdminServer

          public DummyAdminServer()

  - ### Method Detail

    - #### start

          public void start()
                     throws AdminServer.AdminServerException

      Specified by:
        `start` in interface `AdminServer`
      Throws:
        `AdminServer.AdminServerException`

    - #### shutdown

          public void shutdown()
                        throws AdminServer.AdminServerException

      Specified by:
        `shutdown` in interface `AdminServer`
      Throws:
        `AdminServer.AdminServerException`

    - #### setZooKeeperServer

          public void setZooKeeperServer(ZooKeeperServer zkServer)

      Specified by:
        `setZooKeeperServer` in interface `AdminServer`

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.